package com.taobao.movie.android.app.oscar.ui.homepage.model

/**
 * HomePageListFragment以及子Fragment的各种状态
 *
 * @author yidong.yyd
 * @since 2019-12-27
 */
interface OnStateChangedListener {
    /**
     * 滑动 Fragment 的时候停止/开启动画
     */
    fun setUserVisibleHint(userVisibleHint: Boolean)

    /**
     * 切 tab 的时候停止/开启动画
     */
    fun onTabChanged(mainTab: Boolean)

    /**
     * 下拉刷新的时候停止/开启动画
     */
    fun onRefreshStateChanged(state: Int)
}