package com.taobao.movie.android.app.profile.biz.motp.request

import com.taobao.movie.android.app.profile.biz.motp.response.BatchLotteryDrawResponse
import com.taobao.movie.android.net.mtop.request.BaseRequest

/**
 * 批量抽奖接口
 *
 * @author yidong.yyd
 * @since 2019-11-20
 */
class BatchLotteryDrawRequest : BaseRequest<BatchLotteryDrawResponse>() {

    init {
        API_NAME = "mtop.film.MtopLuckyDrawAPI.batchLotteryDraw"
        VERSION = "9.3"
        NEED_ECODE = true
        NEED_SESSION = true
    }

    var lotteryMixIds: String? = null
    var uniqueSeq: String? = null
    var dataPoint: String? = null
    var cityCode: String? = null
}