package com.taobao.movie.android.integration.profile.model

import java.io.Serializable

/**
 * mtop.film.MtopLuckyDrawAPI.batchLotteryDraw 接口返回数据结构
 *
 * @author yidong.yyd
 * @since 2019-11-20
 */
class BatchLotteryDrawResult : Serializable {
    companion object {
        const val SUCCESS = "success"
        const val FAIL = "fail"
    }

    var drawResults: List<BatchLotteryResult>? = null

    /**
     * fail (部分领取失败，全部领取失败都返回该错误码)
     * success (全部成功)
     */
    var batchStatus: String? = null
}